#!/bin/bash 
echo == ADU bash shell script event counter demo ==
# This script checks the value of the re0 event counter. 
# When the counter exceeds 20 events then the k0
# relay is turned on for 1 second. The re0 event
# counter is cleared and we resume watching for the
# next threshold of 20.

while [ 1 -eq 1 ] 
do
	# the re0 value is piped to the basic calculator
	Count0=$(./adu -r re0 | bc)
	echo count is $Count0
	if [ $Count0 -gt 20 ]
	then
		echo counter exceeds 20 hits -- value is $Count0
		# toggle relay k0 to simulate an action
		./adu mk1
		sleep 1 # keep relay k0 on for a while
		./adu mk0
		echo now resetting the counter
		./adu -r rc0
	fi
	sleep 1 # for a real application you may want to
	         # be more responsive
done
